Description

If you have a non-admin user with rights to view REX jobs, it can be very slow to view the task output. For example:

Rendered /opt/.../app/views/job_invocations/_tab_overview.html.erb (23.2ms)

  Rendered /opt/.../app/views/job_invocations/_host_name_td.html.erb (3065.9ms)

  Rendered /opt/.../app/views/job_invocations/_host_status_td.html.erb (0.5ms)

  Rendered /opt/.../app/views/job_invocations/_host_actions_td.html.erb (3587.1ms)

 If you attempt to view the same data as admin, it is fast:

Completed 200 OK in 67ms (Views: 47.9ms | ActiveRecord: 6.9ms)

This problem appears to be very similar to http://projects.theforeman.org/issues/15527.

Associated revisions

Revision 23b60a17 - 02/21/2017 09:17 AM - Chris Duryee

Fixes #18554 - skip collection_cache_lookup on authorized_for

The call to `authorized_for` can take multiple seconds in some cases,

leading to performance issues.

This patch will bypass the cache lookup, resulting in similar times for

admins and non-admins when viewing pages with lots of hosts.

Revision c7dbc302 - 02/21/2017 03:18 PM - Marek Hulán

Refs #18554 - Revert cache removal

This reverts commit 23b60a176974307244665c1c190424d5667a2ccc.

History

#1 - 02/17/2017 01:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4299 added

#2 - 02/21/2017 09:34 AM - Dominic Cleal

- translation missing: en.field_release set to 209

The "fix" seems overly broad, disabling the cache on every single call to authorized_for, not just for this one usage in this one plugin. Every UI that

checks one permission for multiple resources will generate substantially more database queries.

(As such, unsuitable for 1.14 point release.)
#3 - 02/21/2017 09:34 AM - Dominic Cleal

- Category changed from API to Users, Roles and Permissions

#4 - 02/21/2017 10:01 AM - Chris Duryee

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 23b60a176974307244665c1c190424d5667a2ccc.

#5 - 02/21/2017 12:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4315 added

#6 - 02/22/2017 07:09 AM - Marek Hulán

- Status changed from Closed to Rejected

- translation missing: en.field_release deleted (209)

This has been reverted
